scala.testing.SUnit
trait Assert

[source: `scala/testing/SUnit.scala`]

`` `trait` Assert
  `extends` AnyRef

  this class defined useful assert methods

Direct Known Subclasses:
  SUnit.TestCase

Method Summary
`def` | assertEq (msg : String, expected : => AnyRef, actual : => AnyRef) : Unit fails if expected ne actual
`def` | assertEq (expected : => AnyRef, actual : => AnyRef) : Unit fails if expected ne actual
`def` | assertEquals [A](msg : String, expected : A, actual : => A) : Unit fails if expected != actual
`def` | assertEquals [A](expected : A, actual : => A) : Unit fails if expected != actual
`def` | assertFalse (msg : String, actual : => Boolean) : Unit succeeds if actual is false
`def` | assertFalse (actual : => Boolean) : Unit succeeds if actual is false
`def` | assertNotEq (expected : => AnyRef, actual : => AnyRef) : Unit fail if expected eq actual
`def` | assertNotEq (msg : String, expected : => AnyRef, actual : => AnyRef) : Unit fail if expected eq actual
`def` | assertNotNull (msg : String, actual : => AnyRef) : Unit fails if null eq actual
`def` | assertNotNull (actual : => AnyRef) : Unit fails if null eq actual
`def` | assertNotSame (expected : => AnyRef, actual : => AnyRef) : Unit
`def` | assertNotSame (msg : String, expected : => AnyRef, actual : => AnyRef) : Unit
`def` | assertNull (msg : String, actual : => AnyRef) : Unit fails if actual ne null
`def` | assertNull (actual : => AnyRef) : Unit fails if actual ne null
`def` | assertSame (expected : => AnyRef, actual : => AnyRef) : Unit
`def` | assertSame (msg : String, expected : => AnyRef, actual : => AnyRef) : Unit
`def` | assertTrue (actual : => Boolean) : Unit succeeds if actual == true
`def` | assertTrue (msg : String, actual : => Boolean) : Unit succeeds if actual == true
`def` | fail (msg : String) : Unit throws `AssertFailed` with given message `msg`.

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf